<script lang="ts">
	import Input from '../../../../../components/Input.svelte';
	import Select from '../../../../../components/Select.svelte';
	import type { Marche, Place } from '../type';
	import Button from '../../../../../components/Button.svelte';
	import { slide } from 'svelte/transition';
	import { createEventDispatcher, onMount } from 'svelte';

	export let isEdit: boolean = false;
	export let marche: Place;

	onMount(() => {
		newMarche.text = '';
		if (isEdit) {
			newMarche.text = marche.text;
			newMarche = newMarche;
		}
	});

	let newMarche: Place = {
		text: ''
	};

	const dispatch = createEventDispatcher();
</script>

<div
	class="w-2/3 flex flex-col gap-2 p-4 border-primary-800 shadow-xl bg-noir-600 rounded-xl"
	transition:slide
>
	<span>{isEdit ? 'Modification' : 'Ajout'} d'une présence</span>
	<Input label="" bind:value={newMarche.text} type="textarea" />

	<div class="flex flex-col gap-2">
		<Button
			on:click={() => {
				if (isEdit) {
					dispatch('edit', { newMarche, id: marche.id });
				} else {
					dispatch('add', { newMarche });
				}
			}}
		>
			{isEdit ? 'Modifier' : 'Ajouter'}
		</Button>
	</div>
</div>
